SELECT  SQL_CALC_FOUND_ROWS
     c.candidate_id  AS candidateID,
     c.candidate_id  AS exportID,
     c.is_hot        AS isHot,
     c.date_modified AS dateModifiedSort,
     c.date_created  AS dateCreatedSort
     , (CASE 
         WHEN c.candidate_id = (
                                SELECT DISTINCT cj.candidate_id
                                  FROM candidate_joborder cj
                                 WHERE cj.candidate_id = c.candidate_id
                                   AND cj.status >= 400
                                   AND cj.site_id = 1
                                   AND cj.status != 650
                                 )
          THEN 1 ELSE 0 
        END
        ) AS submitted
     , (CASE 
         WHEN c.candidate_id = (
                                SELECT data_item_id 
                                  FROM attachment 
                                 WHERE data_item_type = 100
                                   AND data_item_id = c.candidate_id)
          THEN 1 ELSE 0 
        END
        ) AS attachmentPresent,
     c.first_name   AS firstName,
     c.last_name    AS lastName,
     c.city         AS city,
     c.state        AS state,
     c.key_skills   AS keySkills,
     u.first_name   AS ownerFirstName,
     u.last_name    AS ownerLastName,
     CONCAT(u.last_name, u.first_name)  AS ownerSort,
     DATE_FORMAT(c.date_created, '%d-%m-%y')             AS dateCreated,
     DATE_FORMAT(c.date_modified, '%d-%m-%y')            AS dateModified
FROM  candidate c
,  user u
WHERE u.user_id = c.owner
ORDER BY dateModifiedSort DESC
LIMIT 0, 15;
